### Method

# Ide Toolchain get_tool_for_language

#### Declaration

    const gchar*
    ide_toolchain_get_tool_for_language (
      IdeToolchain* self,
      const gchar* language,
      const gchar* tool_id
    )

#### Description

Gets the path of the specified tool for the requested language. If `IDE_TOOLCHAIN_LANGUAGE_ANY` is used in the `language` field, the first tool matching `tool_id` will be returned.

Available since: | 3.32

#### Parameters

`language` | `const gchar*`
| The language of the tool like `IDE_TOOLCHAIN_LANGUAGE_C`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`tool_id` | `const gchar*`
| The identifier of the tool like `IDE_TOOLCHAIN_TOOL_CC`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `const gchar*`
| A string containing the path of the tool for the given language, or `NULL` is no tool has been found.
| The data is owned by the instance.
| The value is a NUL terminated UTF-8 string.